Mike, would you explain again why this pair of diffs makes sense?
The first diff -r 4400 -r 4401 looks like Aidan is just reverting your
change. The merge then comes *afterward*. In this case, both of you
committed a coherent changeset, so what happened is easy to guess,
especially from looking at the second diff -r 4401 -r 4402. But it is
not obvious to me that this will always be the case.
Also, suppose that Aidan's change was a half-dozen lines, while the
merge is several hundred? That would be hell to review! Nor does it
seem unlikely (although with current activity, it's more likely that
your 6-line commit would be hidden in hundreds of lines of Aidan
merge).
git gets this right.
steve@uwakimon /playpen/src/XEmacs/xemacs $ hg diff -r 4400 -r 4401
diff -r 555e21a66d51 -r 01970033faa6 ChangeLog
--- a/ChangeLog Thu Jan 17 10:18:05 2008 +0100
+++ b/ChangeLog Thu Jan 17 11:52:45 2008 +0100
@@ -1,3 +1,17 @@ 2008-01-01 Stephen J. Turnbull <stephe
+2008-01-17 Aidan Kehoe <kehoea(a)parhasard.net>
+
+ * configure.ac:
+ If using a version of the gdbm library that sticks dbm_open in
+ libgdbm_compat.so, also link to that library.
+ Correct a thinko with DBM version 4 checks. Both from Hans de
+ Graaff, in
+
http://mid.gmane.org/20050812092756.6850.qmail@graaff.xs4all.nl
+ and
+
http://mid.gmane.org/pan.2007.06.24.10.10.57@gentoo.org; thank you
+ Hans!
+ * configure:
+ Regenerate.
+
2008-01-01 Stephen J. Turnbull <stephen(a)xemacs.org>
* Makefile.in.in (mkpkgdir): Fix incorrect comment convention.
diff -r 555e21a66d51 -r 01970033faa6 configure
--- a/configure Thu Jan 17 10:18:05 2008 +0100
+++ b/configure Thu Jan 17 11:52:45 2008 +0100
@@ -37246,10 +37246,79 @@ if test $ac_cv_lib_gdbm_dbm_open = yes;
enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm
else
+ { echo "$as_me:$LINENO: checking for dbm_open in -lgdbm_compat"
>&5
+echo $ECHO_N "checking for dbm_open in -lgdbm_compat... $ECHO_C" >&6; }
+if test "${ac_cv_lib_gdbm_compat_dbm_open+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgdbm_compat -lgdbm $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char dbm_open ();
+int
+main ()
+{
+return dbm_open ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_lib_gdbm_compat_dbm_open=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_gdbm_compat_dbm_open=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_gdbm_compat_dbm_open" >&5
+echo "${ECHO_T}$ac_cv_lib_gdbm_compat_dbm_open" >&6; }
+if test $ac_cv_lib_gdbm_compat_dbm_open = yes; then
+
+ enable_database_gdbm=yes enable_database_dbm=no libdbm="-lgdbm_compat
-lgdbm"
+else
+
if test "$enable_database_gdbm" = "yes"; then
{ echo "Error:" "Required GNU DBM support cannot be provided."
>&2; exit 1; }
fi
enable_database_gdbm=no
+fi
+
+
fi
fi
@@ -37902,7 +37971,7 @@ fi
fi
- if test "$enable_database_berkdb" != "yes" -a "$dbver"
= "4"; then
+ if test "$enable_database_berkdb" = "yes" -a "$dbver" =
"4"; then
rm -f $tempcname
echo "#include <$db_h_file>" > $tempcname
echo "configure___ dbfunc=db_create" >> $tempcname
diff -r 555e21a66d51 -r 01970033faa6 configure.ac
--- a/configure.ac Thu Jan 17 10:18:05 2008 +0100
+++ b/configure.ac Thu Jan 17 11:52:45 2008 +0100
@@ -5408,10 +5408,13 @@ if test "$enable_database_gdbm" != "no";
if test "$enable_database_gdbm" != "no"; then
AC_CHECK_LIB(gdbm, dbm_open, [
enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm], [
+ AC_CHECK_LIB(gdbm_compat, dbm_open, [
+ enable_database_gdbm=yes enable_database_dbm=no libdbm="-lgdbm_compat
-lgdbm"], [
if test "$enable_database_gdbm" = "yes"; then
XE_DIE("Required GNU DBM support cannot be provided.")
fi
- enable_database_gdbm=no])
+ enable_database_gdbm=no], -lgdbm)
+ ])
fi
dnl Check for DBM support in libc and libdbm.
@@ -5492,7 +5495,7 @@ yes
fi
dnl Berk db 4.1 decorates public functions with version information
- if test "$enable_database_berkdb" != "yes" -a "$dbver" =
"4"; then
+ if test "$enable_database_berkdb" = "yes" -a "$dbver" =
"4"; then
rm -f $tempcname
echo "#include <$db_h_file>" > $tempcname
echo "configure___ dbfunc=db_create" >> $tempcname
diff -r 555e21a66d51 -r 01970033faa6 lisp/ChangeLog
--- a/lisp/ChangeLog Thu Jan 17 10:18:05 2008 +0100
+++ b/lisp/ChangeLog Thu Jan 17 11:52:45 2008 +0100
@@ -1,10 +1,3 @@ 2008-01-17 Mike Sperber <mike(a)xemacs.o
-2008-01-17 Mike Sperber <mike(a)xemacs.org>
-
- * files.el (insert-directory): Bind `coding-system-for-read' to
- the `file-name' coding system. (Previously, the default ended up
- being undecided, which doesn't work well for UTF-8-based locales,
- for example.)
-
2008-01-16 Aidan Kehoe <kehoea(a)parhasard.net>
* keydefs.el (global-map):
diff -r 555e21a66d51 -r 01970033faa6 lisp/files.el
--- a/lisp/files.el Thu Jan 17 10:18:05 2008 +0100
+++ b/lisp/files.el Thu Jan 17 11:52:45 2008 +0100
@@ -4177,9 +4177,6 @@ If WILDCARD, it also runs the shell spec
file switches wildcard full-directory-p)))
(t
(let* ((beg (point))
- ;; on Unix, assume that ls will output in what the
- ;; file-name coding system specifies
- (coding-system-for-read (get-coding-system 'file-name))
(result
(if wildcard
;; Run ls in the directory of the file pattern we asked for.
steve@uwakimon /playpen/src/XEmacs/xemacs $ hg diff -r 4401 -r 4402
diff -r 01970033faa6 -r e70cc8a90e90 lisp/ChangeLog
--- a/lisp/ChangeLog Thu Jan 17 11:52:45 2008 +0100
+++ b/lisp/ChangeLog Thu Jan 17 11:55:11 2008 +0100
@@ -1,3 +1,10 @@ 2008-01-16 Aidan Kehoe <kehoea@parhasa
+2008-01-17 Mike Sperber <mike(a)xemacs.org>
+
+ * files.el (insert-directory): Bind `coding-system-for-read' to
+ the `file-name' coding system. (Previously, the default ended up
+ being undecided, which doesn't work well for UTF-8-based locales,
+ for example.)
+
2008-01-16 Aidan Kehoe <kehoea(a)parhasard.net>
* keydefs.el (global-map):
diff -r 01970033faa6 -r e70cc8a90e90 lisp/files.el
--- a/lisp/files.el Thu Jan 17 11:52:45 2008 +0100
+++ b/lisp/files.el Thu Jan 17 11:55:11 2008 +0100
@@ -4177,6 +4177,9 @@ If WILDCARD, it also runs the shell spec
file switches wildcard full-directory-p)))
(t
(let* ((beg (point))
+ ;; on Unix, assume that ls will output in what the
+ ;; file-name coding system specifies
+ (coding-system-for-read (get-coding-system 'file-name))
(result
(if wildcard
;; Run ls in the directory of the file pattern we asked for.
steve@uwakimon /playpen/src/XEmacs/xemacs $
_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta(a)xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta